Skip to main content
`Ctrl`+`K`

# DMDAGetSubdomainCornersIS

Gets an index set containing the corner indices (in local indexing) of the non-overlapping decomposition identified by `DMDAGetElements()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetSubdomainCornersIS(DM dm, IS *is)

Not Collective

## Input Parameter

- dm - the `DMDA` object

## Output Parameter

- is - the index set

## Note

Call `DMDARestoreSubdomainCornersIS()` once you have finished accessing the index set.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAElementType`, `DMDASetElementType()`, `DMDAGetElements()`, `DMDARestoreElementsCornersIS()`, `DMDAGetElementsSizes()`, `DMDAGetElementsCorners()`

## Level

intermediate

## Location

src/dm/impls/da/dagetelem.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages